Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /detailedTrades

prices probe ok

Market-wide detailed trades board (not symbol-filtered in practice).

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/detailedTrades' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d ''

Known failures

Fields

Sample

{
  "_probe": {
    "id": "detailedTrades",
    "url": "https://www.cse.lk/api/detailedTrades",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:33.422899+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "reqDetailTrades"
      ]
    }
  },
  "response": {
    "reqDetailTrades": [
      {
        "id": 2065,
        "securityId": null,
        "name": "ACCESS ENGINEERING PLC",
        "symbol": "AEL.N0000",
        "price": 77.0,
        "qty": 29963,
        "trades": 12,
        "change": 0.8,
        "changePercentage": 1.0498687664041995,
        "logoUrl": "upload_logo/1141_1601609745.jpeg"
      },
      {
        "id": 2065,
        "securityId": null,
        "name": "ACCESS ENGINEERING PLC",
        "symbol": "AEL.N0000",
        "price": 76.8,
        "qty": 18930,
        "trades": 6,
        "change": 0.6,
        "changePercentage": 0.7874015748031497,
        "logoUrl": "upload_logo/1141_1601609745.jpeg"
      },
      {
        "id": 2065,
        "securityId": null,
        "name": "ACCESS ENGINEERING PLC",
        "symbol": "AEL.N0000",
        "price": 76.7,
        "qty": 3140,
        "trades": 15,
        "change": 0.5,
        "changePercentage": 0.6561679790026247,
        "logoUrl": "upload_logo/1141_1601609745.jpeg"
      }
    ],
    "_truncated": {
      "list_key": "reqDetailTrades",
      "kept": 3,
      "original_len": 1401
    }
  }
}